
From: "V. Rajesh" <vrajesh@eecs.umich.edu>

Fix the pte_chain memory leak in do_no_page



 mm/memory.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN mm/memory.c~do_no_page-pte_chain_leak-fix mm/memory.c
--- 25/mm/memory.c~do_no_page-pte_chain_leak-fix	2003-10-03 21:38:29.000000000 -0700
+++ 25-akpm/mm/memory.c	2003-10-03 21:38:29.000000000 -0700
@@ -1458,6 +1458,7 @@ retry:
 		sequence = atomic_read(&mapping->truncate_count);
 		spin_unlock(&mm->page_table_lock);
 		page_cache_release(new_page);
+		pte_chain_free(pte_chain);
 		goto retry;
 	}
 	page_table = pte_offset_map(pmd, address);

_
